package com.lutao.cloud.auth.sso.domain;

import lombok.Data;

import java.util.List;

@Data
public class SSOSyncDataResponse<T> {

    /**
     * 查询结果状态编码，200为成功
     */
    private Integer resultCode;

    /**
     * 查询结果说明
     */
    private String resultMsg;

    /**
     * 符合条件的数据总数；无符合条件数据时返回0
     */
    private Integer total;

    /**
     * 当前返回的数据记录数
     */
    private Integer dataSize;

    /**
     * 数据集
     */
    private List<T> data;
}