package com.lutao.cloud.collect.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.entity.CollectLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 数据收集mapper
 *
 * @author yx
 * @date 2023/08/21
 */
@Mapper
public interface CollectLogMapper extends CloudBaseMapper<CollectLog> {

    /**
     * 更新 收集日志
     * @param requestId
     * @param appId
     * @param command
     * @param collectNumber
     * @param tableName
     * @return boolean
     *///
    boolean updateCollectLogNumber(@Param("requestId") String requestId,
                                   @Param("appId") String appId,
                                   @Param("command") String command,
                                   @Param("collectNumber") Integer collectNumber,
                                   @Param("tableName") String tableName);
}
