package com.lutao.cloud.common.core.constant.enums;

/**
 * 会话常量
 */
public interface PilotConstans{


	/**
	 * 企业项目试点 申报信息 paramKey
	 */
	String ENTERPRISE_DECLARATION_INFORMATION = "enterprise_declaration_information";

	/**
	 * 企业项目试点 执行进度 paramKey
	 */
	String ENTERPRISE_EXECUTION_PROGRESS = "enterprise_execution_progress";


	/**
	 * 园区项目试点 申报信息 paramKey
	 */
	String PARK_DECLARATION_INFORMATION = "park_declaration_information";

	/**
	 * 园区项目试点 执行进度 paramKey
	 */
	String PARK_EXECUTION_PROGRESS = "park_execution_progress";


	/**
	 * 企业组织保障
	 */
	String ORGANIZATIONAL_GUARANTEE = "organizational_guarantee";
	/**
	 * 企业资金支持
	 */
	String FINANCIAL_SUPPORT = "financial_support";
	/**
	 * 企业必建场景
	 */
	String MANDATORY_SCENARIO = "mandatory_scenario";

	/**
	 * 企业拓展场景
	 */
	String EXPAND_SCENARIOS = "expand_scenarios";


	/**
	 * 园区组织保障
	 */
	String PARK_ORGANIZATIONAL_GUARANTEE = "park_organizational_guarantee";
	/**
	 * 园区资金支持
	 */
	String PARK_FINANCIAL_SUPPORT = "park_financial_support";
	/**
	 * 园区必建场景
	 */
	String PARK_MANDATORY_SCENARIO = "park_mandatory_scenario";

	/**
	 * 园区拓展场景
	 */
	String PARK_EXPAND_SCENARIOS = "park_expand_scenarios";

	/**
	 * 园区智能化建设情况
	 */
	String SAFETY_RISK_MANAGEMENT_AND_CONTROL = "safety_risk_management_and_control";

	/**
	 * 待审核
	 */
	Integer pilot_status_0 = 0;
	/**
	 * 审核通过待立项
	 */
	Integer pilot_status_1 = 1;

	/**
	 * 驳回
	 */
	Integer pilot_status_2 = 2;

	/**
	 * 立项
	 */
	Integer pilot_status_3 = 3;
	/**
	 * 进度待审核
	 */
	Integer pilot_status_4 = 4;
	/**
	 * 驳回
	 */
	Integer pilot_status_5 = 5;

	/**
	 * 审核通过
	 */
	Integer pilot_status_6 = 6;

	/**
	 * 完成
	 */
	Integer pilot_status_7 = 7;

}
