package com.lutao.cloud.iot.mqtt.core.server.event;

import com.lutao.cloud.iot.mqtt.core.server.model.model.Message;
import org.tio.core.ChannelContext;

/**
 * mqtt 消息处理
 */
@FunctionalInterface
public interface IMqttMessageListener {

    /**
     * 监听到消息
     *
     * @param context  ChannelContext
     * @param clientId clientId
     * @param message  Message
     */
    void onMessage(ChannelContext context, String clientId, Message message);

}
