package com.lutao.cloud.iot.mqtt.core.server.support;


import com.lutao.cloud.iot.mqtt.core.server.auth.IMqttServerUniqueIdService;
import org.tio.core.ChannelContext;

/**
 * 默认的 mqtt 服务端唯一 id 绑定，使用 clientId
 *

 */
public class DefaultMqttServerUniqueIdServiceImpl implements IMqttServerUniqueIdService {

	@Override
	public String getUniqueId(ChannelContext context, String clientId, String userName, String password) {
		return clientId;
	}

}
