package com.lutao.cloud.iot.mqtt.spring.client;

import com.lutao.cloud.iot.mqtt.core.client.MqttClientCreator;

/**
 * MqttClient 配置自定义
 *

 */
@FunctionalInterface
public interface MqttClientCustomizer {

	/**
	 * MqttServerCreator 自定义扩展
	 *
	 * @param creator MqttClientCreator
	 */
	void customize(MqttClientCreator creator);

}
