package com.lutao.cloud.admin.api.dto;

import com.lutao.cloud.admin.api.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**

 * @date 2017/11/5
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserDTO extends SysUser {

	/**
	 * 角色ID
	 */
	@ApiModelProperty("角色ID")
	private List<Integer> role;


	/**
	 * 新密码
	 */
	@ApiModelProperty("新密码")
	private String newpassword1;


	/**
	 * 多功能模糊查询
	 */

	@ApiModelProperty("多功能模糊查询")
	private String searchStr;

}
