package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "火灾-可燃-有毒气体-近30天总报警总体情况查询参数-天数自选")
@Data
public class FireGasHazardAlarmParam extends BaseParam {
    private static final long serialVersionUID = 5832273909403966386L;

    @ApiModelProperty(value = "n天前的时间")
    private LocalDateTime daysAgoTime;
}
