package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = " 部级督导查询参数", description = " 部级督导查询参数")
public class MinisteriaSupervisionDetailParam extends BaseParam{
    private static final long serialVersionUID = -8853417789422739675L;

    @ApiModelProperty(value = "整改期限开始时间")
    private LocalDate rectifyStartTime;

    @ApiModelProperty(value = "整改期限结束时间")
    private LocalDate rectifyEndTime;

    @ApiModelProperty(value = "整治状态:待整治1/已整治2")
    private Integer status;
}
