package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "三家油商设备在线数量")
public class ScreenVideoNumberOnlineVO implements Serializable {
    private static final long serialVersionUID = -6883955896451922524L;

    /**
     * 油商名称
     */
    @ApiModelProperty(value = "油商名称")
    private String appName;

    /**
     * 视频在线数量
     */
    @ApiModelProperty(value = "视频在线数量")
    private Integer onlineNumber;

    /**
     * 视频总数量
     */
    @ApiModelProperty(value = "视频总数量")
    private Integer totalNumber;
}
