package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@ApiModel(value = "海洋平台总体情况查询参数")
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SelectSeaPlatformFacilityParam extends BaseParam{
    private static final long serialVersionUID = 1974474405071739235L;

    /**
     *风险等级
     */
    @ApiModelProperty(value = "风险等级 1.高风险，2.中高风险，3.中风险，4.低风险，5.暂未定级")
    private Integer riskLevel;

    @ApiModelProperty(value = "排除低风险Flag 0.不排除，1.排除")
    private Integer excludeLowRiskFlag;

    @ApiModelProperty(value = "排序低风险显示的风险等级 001 002 003 004")
    private String sortRiskLevel;

}
