package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 油商
 *
 * @author yx
 * @date 2023/08/10
 */
@ApiModel(value = "油商VO")
@Data
@Accessors(chain = true)
public class AppInfoVO implements Serializable {
    private static final long serialVersionUID = -3125976382951745703L;

    @ApiModelProperty(value = "油商名称")
    private String appName;

    @ApiModelProperty(value = "油商ID")
    private String appId;
}
