package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "火灾-可燃-有毒气体-近30天总报警总体情况")
public class FireGasHazardAlarmVO implements Serializable {
    private static final long serialVersionUID = 2790962882773723001L;


    @ApiModelProperty(value = "近30天总报警数量")
    private Long alarmNumber;

    @ApiModelProperty(value = "火灾报警数")
    private Long fireAlarmNumber;

    @ApiModelProperty(value = "可燃气体报警数")
    private Long gasAlarmNumber;

    @ApiModelProperty(value = "有毒气体报警数")
    private Long hazardousAlarmNumber;

    @ApiModelProperty(value = "火灾报警占比")
    private String fireAlarmRate;

    @ApiModelProperty(value = "可燃气体报警占比")
    private String gasAlarmRate;

    @ApiModelProperty(value = "有毒气体报警占比")
    private String hazardousAlarmRate;
}
