package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(value ="风险作业按照平台统计")
public class HighRiskCountStatisticsByPlatformVO implements Serializable {
    private static final long serialVersionUID = 4424051824786108154L;

    @ApiModelProperty(value = "作业总次数")
    private Long workTotal;

    @ApiModelProperty(value = "作业列表")
    List<HighRiskCountByPlatformVO> highRiskCountByPlatformVOS;
}
