package com.lutao.cloud.oil.pojo.vo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 高风险作业
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "高风险作业")
@Data
@Accessors(chain = true)
public class HighRiskModelVO implements Serializable {
    private static final long serialVersionUID = 239948896927838805L;

    @ApiModelProperty(value = "当日高风险作业次数")
    private Integer highRiskNumber;


    @ApiModelProperty(value = "高风险作业类型统计（类型个数）")
    private Long highRiskTypeNumber;

    @ApiModelProperty(value = "高风险作业类型统计LIST")
    private IPage<HighRiskWorkVO> highRiskWorkVOIPage;

}
