package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@ApiModel(value = "近期在平台人数折线图")
public class RecentPeopleLineChartVO implements Serializable {
    private static final long serialVersionUID = 6018734539211085387L;

    @ApiModelProperty(value = "在平台数")
    private Long personNumber;

    @ApiModelProperty(value = "登平台数")
    private Long loginNumber;

    @ApiModelProperty(value = "离平台数")
    private Long  logoutNumber ;

    @ApiModelProperty(value = "日期")
    private LocalDate dataDate;
}
