package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 安全风险管控情况
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "安全风险管控情况")
@Data
@Accessors(chain = true)
public class RiskControlSituationVO implements Serializable {
    private static final long serialVersionUID = 8858509510209551506L;


    @ApiModelProperty(value = "应急预案")
    private Integer emergencyPlan;

    @ApiModelProperty(value = "变更情况")
    private Integer changeSituation;

    @ApiModelProperty(value = "备案情况")
    private Integer filingSituation;

    @ApiModelProperty(value = "弃井信息")
    private Integer reportInformation;
}
