package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 风险等级分组
 *
 * @author yx
 * @date 2024/01/04
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "风险等级分组")
public class RiskLevelGroupVO implements Serializable {
    private static final long serialVersionUID = 4184128224179527538L;

    @ApiModelProperty(value = "风险等级")
    private String riskLevel;

    @ApiModelProperty(value = "数量")
    private Long riskCount;
}
