package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 设备名称和数量
 *
 * @author yx
 * @date 2023/08/01
 */
@ApiModel(value = "设备名称和数量")
@Data
@Accessors(chain = true)
public class ScreenDisplayEquipmentNameAndNumber implements Serializable {
    private static final long serialVersionUID = 8482952602611725040L;


    @ApiModelProperty(value = "专业设备名称")
    private String equipmentName;

    @ApiModelProperty(value = "数量")
    private Long equipmentCount;
}
