package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 海上平台（设施）总体情况
 *
 * @author yx
 * @date 2023/08/01
 */
@ApiModel(value = "海上平台（设施）总体情况")
@Data
@Accessors(chain = true)
public class SeaPlatformOverallSituationVO implements Serializable {
    private static final long serialVersionUID = 5815616740981934239L;

    @ApiModelProperty(value = "油商下面的平台数量")
    private List<AppPlatformNumberVO> appPlatformNumberVOList;

    @ApiModelProperty(value = "平台设施总数")
    private Integer platformCount;

    @ApiModelProperty(value = "固定平台")
    private Integer seaPlatformNumber;

    @ApiModelProperty(value = "FPSO")
    private Integer FPSONumber;

    @ApiModelProperty(value = "人工岛数量")
    private Integer artificialIslandNumber;

    @ApiModelProperty(value = "钻井平台")
    private Integer movePlatformNumber;
}
