package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.DivisionInspectionDetailParam;
import com.lutao.cloud.oil.pojo.vo.DivisionInspectionDetailVO;
import com.lutao.entity.DivisionInspectionDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DivisionInspectionDetailMapper extends CloudBaseMapper<DivisionInspectionDetail> {
    /**
     * 分部检查
     *
     * @param param 参数
     * @return {@link IPage}<{@link DivisionInspectionDetailVO}>
     */
    IPage<DivisionInspectionDetailVO> getDivisionInspectionDetailPage(Page page, @Param("param") DivisionInspectionDetailParam param);
}
