package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.SecurityRiskAssessmentParam;
import com.lutao.cloud.oil.pojo.vo.SecurityRiskAssessmentSummaryPageVO;
import com.lutao.cloud.oil.pojo.vo.SecurityRiskAssessmentSummaryVO;
import com.lutao.entity.SecurityRiskAssessmentSummary;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SecurityRiskAssessmentSummaryMapper extends CloudBaseMapper<SecurityRiskAssessmentSummary> {

    List<SecurityRiskAssessmentSummaryVO> querySecurityRiskAssessmentSummary(@Param("param") SecurityRiskAssessmentParam param);

    IPage<SecurityRiskAssessmentSummaryPageVO> querySecurityRiskAssessmentSummaryPage(Page page, @Param("param") SecurityRiskAssessmentParam param);
}
