package com.lutao.cloud.collect.dto;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.databind.JsonNode;
//import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
//@ApiModel(value = "数据添加")
public class DataAddDTO implements Serializable {

   private static final long serialVersionUID = 9126926967295220892L;
   @NotBlank(message = "appKey不能为空")
   private String appKey;

   @NotBlank(message = "requestId不能为空")
   private String requestId;

   @NotBlank(message = "command不能为空")
   private String command;

   @NotNull(message = "ts不能为空")
   private Long ts;

   @NotBlank(message = "resource不能为空")
   private String resource;
   @NotBlank(message = "sign不能为空")
   private String sign;
   @NotBlank(message = "data不能为空")
   private String data;

   private String appId;


}
