package com.lutao.cloud.collect.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.entity.CollectLog;

/**
 * 收集日志服务
 *
 * @author yx
 * @date 2023/08/21
 */
public interface CollectLogService extends IService<CollectLog> {


    /**
     * 保存收集日志
     *
     * @param requestId     请求id
     * @param appId         应用程序id
     * @param command       命令
     * @param tableName     表名
     * @param collectNumber 收集数量
     * @return int
     */
    boolean saveCollectLog(String requestId,String appId,String command,Integer collectNumber,String tableName,String data);
}
