package com.lutao.cloud.iot.mqtt.core.server.dispatcher;


import com.lutao.cloud.iot.mqtt.core.server.model.model.Message;

/**
 * mqtt 消息调度器
 */
public interface IMqttMessageDispatcher {

    /**
     * 发送消息
     *
     * @param message 消息
     * @return 是否成功
     */
    boolean send(Message message);

    /**
     * 发送消息
     *
     * @param clientId 客户端 Id
     * @param message  消息
     * @return 是否成功
     */
    boolean send(String clientId, Message message);

}
