package com.lutao.cloud.admin.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;

import javax.validation.constraints.NotBlank;


/**

 * @date 2017/11/5
 */
@Data
@ApiModel("注册信息")
public class RegisterDTO{

	@ApiModelProperty("账号")
	@NotBlank(message = "请输入账号")
	private String username;

	@ApiModelProperty("密码")
	@NotBlank(message = "请输入密码")
	private String password;

	@ApiModelProperty("重复密码")
	@NotBlank(message = "请输入密码")
	private String password1;

	@NotBlank(message = "请输入姓名")
	@ApiModelProperty("真实姓名")
	private String nickname;

	@ApiModelProperty("手机号")
	@NotBlank(message = "请输入手机号码")
	private String phone;

	@ApiModelProperty("企业名称")
	private String company;

	@ApiModelProperty("组织机构代码")
	private String companyCode;

	@ApiModelProperty("登记注册类型")
	private String companyType;

}
