package com.lutao.cloud.admin.api.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 *
 * @author guoyc
 * @date 2022-05-30 10:50:38
 */
@Data
@TableName("sys_position")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class SysPosition extends Model<SysPosition>{

    private static final long serialVersionUID = 1L;

    /**
     * 职位id
     */
    @TableId
    @ApiModelProperty(value="职位id")
    private Integer id;

    /**
     * 职位名称
     */
    @ApiModelProperty(value="职位名称")
    private String positionName;

    /**
     * 上级职位id
     */
    @ApiModelProperty(value="上级职位id")
    private Integer parentId;

    /**
     * 0正常  1 删除
     */
    @ApiModelProperty(value="0正常  1 删除")
    @TableLogic
    private Integer delFlag;

}
