package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 高风险查作业询参数
 *
 * @author yx
 * @date 2024/10/30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class HighRiskQueryParam extends BaseParam{
    private static final long serialVersionUID = -365250393710329387L;

    @ApiModelProperty(value = "开始时间")
    private LocalDateTime startDate;

    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endDate;
}
