package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 人员证书参数
 *
 * @author yx
 * @date 2023/09/13
 */
@ApiModel(value = "人员证书下钻参数")
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class PersonCertificateParam extends BaseParam{

    private static final long serialVersionUID = 4580432746080838598L;

    @ApiModelProperty(value = "逾期Flag 1/0")
    private Integer expireFlag;

    @ApiModelProperty(value = "即将到期Flag 1/0")
    private Integer willExpireFlag;
}
