package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "报警环比查询参数")
@EqualsAndHashCode(callSuper = true)
public class TagAlarmQoqVOParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = -2126558475445057351L;

    @ApiModelProperty(value = "周期类型:day-日，week-周，month-月")
    private String cycleType;

    private LocalDateTime startDate;

    private LocalDateTime endDate;

}
