package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "评估进度-一台一策VO")
public class AssessmentReportVO implements Serializable {
    private static final long serialVersionUID = -1442389738012419258L;

    @ApiModelProperty(value = "评估进度")
    private String assessmentProgress;

    @ApiModelProperty(value = "评估报告")
    private Integer assessmentReportNumber;

    @ApiModelProperty(value = "一台一策")
    private Integer oneStrategy;

    @ApiModelProperty(value = "重大隐患数")
    private Integer hiddenDangerNumber;

    @ApiModelProperty(value = "总平台数")
    private Integer platformCount;

    @ApiModelProperty(value = "已评估平台数")
    private Integer assessmentPlatformCount;



}
