package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@ApiModel(value = "问题隐患整改情况--分布检查VO")
@Data
@Accessors(chain = true)
public class ProblemRectifyStatusCheckVO implements Serializable {
    private static final long serialVersionUID = -9106111690773172851L;

    @ApiModelProperty(value = "部门/生产设施")
    private String platformName;

    @ApiModelProperty(value = "问题描述")
    private String hiddenProblems;

    @ApiModelProperty(value = "整治措施")
    private String treatmentMeasures;

    @ApiModelProperty(value="整改情况;001待整治、002已整治")
    private String hiddenProblemsState;
}
