package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel(value = "问题隐患整改情况--部级督导-VO")
@Data
@Accessors(chain = true)
public class ProblemRectifySupervisionVO implements Serializable {
    private static final long serialVersionUID = 7489578211764849504L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "设施名称")
    private String facilityName;

    @ApiModelProperty(value="扣分数")
    private Integer deduction;

    @ApiModelProperty(value="检查内容")
    private String inspectContent;

    @ApiModelProperty(value="检查时间")
    private LocalDateTime scoringTime;
}
