package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel(value = "关键工艺参数监测预警")
@Data
@Accessors(chain = true)
public class ProcessTagVO implements Serializable {
    private static final long serialVersionUID = -5309288796557635650L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "实时值")
    private String rtValue;

    @ApiModelProperty(value = "点位")
    private String tagName;

    @ApiModelProperty(value = "监测时间")
    private LocalDateTime collectTime;

    @ApiModelProperty(value = "类型")
    private Integer tagType;

    @ApiModelProperty(value = "tag_code")
    private String tagCode;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "量程")
    private String limits;

    @ApiModelProperty(value = "阈值上限")
    private String upperLimit;

    @ApiModelProperty(value = "阈值上上限")
    private String upperUpperLimit;

}
