package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "大屏设备柱状图")
public class ScreenDisplayEquipmentBarVO implements Serializable {
    private static final long serialVersionUID = 1169679524490343455L;

    @ApiModelProperty(value = "中海油设备总数")
    private Long zhongHaiYouEquipmentCount;

    @ApiModelProperty(value = "中海油即将过期数")
    private Long zhongHaiYouWillExpireCount;

    @ApiModelProperty(value = "中石油设备总数")
    private Long zhongShiYouEquipmentCount;

    @ApiModelProperty(value = "中石油即将过期数")
    private Long zhongShiYouWillExpireCount;

    @ApiModelProperty(value = "中石化设备总数")
    private Long zhongShiHuaEquipmentCount;

    @ApiModelProperty(value = "中石化即将过期数")
    private Long zhongShiHuaWillExpireCount;

}
