package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 海洋平台视频监控签证官
 * 海上平台设施视频监控
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "海上平台设施视频监控")
@Data
@Accessors(chain = true)
public class SeaPlatformVideoMonitorVO implements Serializable {
    private static final long serialVersionUID = 4816694076699237993L;

    @ApiModelProperty(value = "海上平台设施视频监控")
    private String platformName;

    @ApiModelProperty(value = "视频数")
    private String videoNumber;
}
