package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "关键工艺监测预警各个油商报警数量")
public class TagProcessAlarmByUnit implements Serializable {
    private static final long serialVersionUID = -7340614990393371494L;

    @ApiModelProperty(value = "油商")
    private String appName;

    @ApiModelProperty(value = "报警数量")
    private Long alarmNumber;
}
