package com.lutao.cloud.oil.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.entity.FireParametersTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FireParametersTagMapper extends CloudBaseMapper<FireParametersTag> {


    /**
     * 选择带平台计数
     *
     * @param param 参数
     * @return {@link Long }
     * @author yx
     * @date 2024/10/24
     */

    Long selectCountWithplatform(@Param("param") BaseParam param);
}
