
package com.lutao.cloud.oil.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.oil.mapper.WorkStausMapper;
import com.lutao.cloud.oil.pojo.param.EquipmentWorkStatusAlarmParam;
import com.lutao.cloud.oil.pojo.vo.EquipmentWorkStatusAlarmVO;
import com.lutao.cloud.oil.service.WorkStausService;
import com.lutao.entity.WorkStaus;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Service
public class WorkStausServiceImpl extends ServiceImpl<WorkStausMapper, WorkStaus> implements WorkStausService {

    @Resource
    private WorkStausMapper workStausMapper;

    @Override
    public MessageInfo<IPage<EquipmentWorkStatusAlarmVO>> queryEquipmentWorkStatusAlarm(Page page, EquipmentWorkStatusAlarmParam param) {
        IPage<EquipmentWorkStatusAlarmVO> equipmentWorkStatusAlarm = workStausMapper.getEquipmentWorkStatusAlarm(page, param);
        return MessageInfo.ok(equipmentWorkStatusAlarm);
    }
}
